Skip to content

References

All operations require authentication.

3 operationsv2/okms/reference
Agent setup

List regionsProduction

GET
/v2/okms/reference/regions

Returns the regions where a service can be ordered, with their certifications and the KMIP and REST endpoints of each.

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Region[]successful operation
certifications
read-only
CertificationLevelEnum[]

Certifications of the region

ValuesHDSPCI_DSSSNCSOC2STANDARDTRUSTED_ZONE
id
read-only
RegionEnum

Name of the region

Valuesap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-waweu-south-mileu-west-erieu-west-graeu-west-limeu-west-pareu-west-rbxeu-west-sbg
kmipEndpoint
read-only
string

KMS kmip API endpoint

restEndpoint
read-only
string

KMS rest API endpoint

type
read-only
TypeEnum

General typology of the region

ValuesLOCAL-ZONEREGION-1-AZREGION-3-AZ

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/okms/reference/regions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "certifications": [ "HDS" ], "id": "ap-south-mum", "kmipEndpoint": "string", "restEndpoint": "string", "type": "LOCAL-ZONE" }]

Get the default secret configurationProduction

GET
/v2/okms/reference/secretConfig

Returns the default secret settings of a region: whether cas is required and the number of versions to keep.

Query parameters

region
required
RegionEnum

OKMS Region

Valuesap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-waweu-south-mileu-west-erieu-west-graeu-west-limeu-west-pareu-west-rbxeu-west-sbg

Response

200Responsesuccessful operation
casRequired
read-only
boolean

The cas parameter will be required for all write requests if set to true

maxVersions
read-only
integer

The number of versions to keep

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/okms/reference/secretConfig \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "casRequired": true, "maxVersions": 0}

Get valid service key parameters combinationsProduction

GET
/v2/okms/reference/serviceKey

Returns the valid combinations of key type, size, curve, operations and protection level for a region. Use it before creating or importing a service key.

Query parameters

region
required
RegionEnum

OKMS Region

Valuesap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-waweu-south-mileu-west-erieu-west-graeu-west-limeu-west-pareu-west-rbxeu-west-sbg

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Response[]successful operation
curves
read-only
Curve[]

Allowed service key curves for type

default
read-only
boolean

Is default service key type?

operations
read-only
Operations[]

Allowed service key operations for type

protectionLevel
read-only
ProtectionLevel[]

Allowed protection level for type

sizes
read-only
Size[]

Allowed service key sizes for type

type
read-only
KeyTypeEnum

Service key type

ValuesECRSAoct

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/okms/reference/serviceKey \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "curves": [ { "default": true, "value": "P-256" } ], "default": true, "operations": [ { "default": true, "value": [ "decrypt" ] } ], "protectionLevel": [ { "default": true, "value": "HSM" } ], "sizes": [ { "default": true, "value": 128 } ], "type": "EC" }]